Post Type Switcher – WordPress plugin Free download

Click to Download

Post Type Switcher

Description

This plugin adds a simple post-type drop-down to the post editor interface, allowing you to reassign any post to a new post type. It allows you to switch post’s type while editing your post.

Supported Types

The plugin can convert nearly every combination of posts, pages, and even custom post types:

Page to Post
Post to Page
Post to Custom
Custom to Custom

As of 3.0.0, support for switching to or from Attachments was removed. This may come back in a subsequent version.

Invisible post types, such as revisions, menus, etc., are purposely excluded. But, if you need to access invisible post types, you can adjust the boundaries using the ‘pts_post_type_filter’ filter.

Bulk Editing

With bulk editing, thanks to Matthew Gerring, you can select all the posts in a certain type and convert them to a new type with one quick action.

Screenshots

“Type” column in “Posts” screen.
“Post Type” interface in “Quick Edit”.
“Post Type” interface in “Edit Post” screen.

Installation

Installation

In your WordPress Dashboard go to “Plugins” -> “Add Plugin”.
Search for “Post Type Switcher”.
Install the plugin by pressing the “Install” button.
Activate the plugin by pressing the “Activate” button.
From the post edit screen, above the “Publish” button is the “Post Type” interface.
Change post types as needed.

Minimum Requirements

WordPress version 3.0 or greater.
PHP version 5.2.4 or greater.
MySQL version 5.0 or greater.

Recommended Requirements

Latest WordPress version.
PHP version 7.0 or greater.
MySQL version 5.7 or greater, or MariaDB 10 or greater.

FAQ

Installation Instructions

Installation

In your WordPress Dashboard go to “Plugins” -> “Add Plugin”.
Search for “Post Type Switcher”.
Install the plugin by pressing the “Install” button.
Activate the plugin by pressing the “Activate” button.
From the post edit screen, above the “Publish” button is the “Post Type” interface.
Change post types as needed.

Minimum Requirements

WordPress version 3.0 or greater.
PHP version 5.2.4 or greater.
MySQL version 5.0 or greater.

Recommended Requirements

Latest WordPress version.
PHP version 7.0 or greater.
MySQL version 5.7 or greater, or MariaDB 10 or greater.

Why would I need this?

You need to selectively change a posts type from one to another.

Does this ruin my taxonomy associations?

It should not. This plugin only changes the ‘post_type’ property of a post.

Reviews

Leave a Reply

Your email address will not be published. Required fields are marked *